Summary: Replacement for the old crypt() package and crypt(1) command, with extensions
Name: libmcrypt
Version: 2.5.8
Release: r0.0
License: LGPLv2.1
Group: base
Packager: Wind River <info@windriver.com>
URL: http://mcrypt.sourceforge.net/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/gettext
BuildRequires: gettext-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: libtool
BuildRequires: automake-native

%description
Replacement for the old crypt() package and crypt(1) command, with
extensions.

%package -n libmcrypt-dbg
Summary: Replacement for the old crypt() package and crypt(1) command, with extensions - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libmcrypt4 = 2.5.8-r0.0

%description -n libmcrypt-dbg
Replacement for the old crypt() package and crypt(1) command, with
extensions.  This package contains ELF symbols and related sources for
debugging purposes.

%package -n libmcrypt-staticdev
Summary: Replacement for the old crypt() package and crypt(1) command, with extensions - Development files (Static Libraries)
Group: devel
Requires: libmcrypt-dev = 2.5.8-r0.0

%description -n libmcrypt-staticdev
Replacement for the old crypt() package and crypt(1) command, with
extensions.  This package contains static libraries for software
development.

%package -n libmcrypt-dev
Summary: Replacement for the old crypt() package and crypt(1) command, with extensions - Development files
Group: devel
Requires: libmcrypt4 = 2.5.8-r0.0
Requires: /bin/sh
Suggests: libc6-dev
Suggests: libtool-dev

%description -n libmcrypt-dev
Replacement for the old crypt() package and crypt(1) command, with
extensions.  This package contains symbolic links, header files, and
related items necessary for software development.

%package -n libmcrypt-doc
Summary: Replacement for the old crypt() package and crypt(1) command, with extensions - Documentation files
Group: doc

%description -n libmcrypt-doc
Replacement for the old crypt() package and crypt(1) command, with
extensions.  This package contains documentation.

%package -n libmcrypt-locale
Summary: Replacement for the old crypt() package and crypt(1) command, with extensions
Group: base

%description -n libmcrypt-locale
Replacement for the old crypt() package and crypt(1) command, with
extensions.

%package -n libmcrypt4
Summary: Replacement for the old crypt() package and crypt(1) command, with extensions
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.22
Provides: libmcrypt.so.4()(64bit)
Provides: libmcrypt = 2.5.8
Provides: elf(buildid) = b7ef0159f969cf73bf1d5f0548d14f89d2816ced

%description -n libmcrypt4
Replacement for the old crypt() package and crypt(1) command, with
extensions.

%post -n libmcrypt4
# libmcrypt4 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libmcrypt-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libmcrypt.so.4.4.8"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libmcrypt"
%dir "/usr/src/debug/libmcrypt/2.5.8-r0"
%dir "/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8"
%dir "/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib"
%dir "/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt_modules.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt_internal.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/libdefs.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/bzero.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt_modules.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt_threads.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/xmemory.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/xmemory.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/bzero.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt_symb.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/lib/mcrypt_extra.c"
%dir "/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes"
%dir "/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/ecb.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/ctr.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/stream.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/cbc.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/ofb.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/cfb.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/ncfb.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/modes/nofb.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/xtea.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/enigma.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/rijndael.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/cast-128.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/saferplus.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/twofish.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/enigma.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/rijndael-256.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/arcfour.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/cast-256.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/cast-256.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/des.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/gost.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/wake.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/saferplus.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/arcfour.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/serpent.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/wake.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/blowfish.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/twofish.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/cast-128.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/tripledes.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/cast-128_sboxes.h"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/blowfish-compat.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/des.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/tripledes.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/rc2.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/blowfish.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/rijndael-192.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/rijndael-128.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/serpent.c"
"/usr/src/debug/libmcrypt/2.5.8-r0/libmcrypt-2.5.8/modules/algorithms/loki97.c"

%files -n libmcrypt-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/share"
%dir "/usr/bin"
%dir "/usr/include"
"/usr/lib64/libmcrypt.la"
"/usr/lib64/libmcrypt.so"
%dir "/usr/share/aclocal"
"/usr/share/aclocal/libmcrypt.m4"
"/usr/bin/libmcrypt-config"
%dir "/usr/include/mutils"
"/usr/include/mcrypt.h"
"/usr/include/mutils/mcrypt.h"

%files -n libmcrypt-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man3"
"/usr/share/man/man3/mcrypt.3"

%files -n libmcrypt4
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libmcrypt.so.4"
"/usr/lib64/libmcrypt.so.4.4.8"

